{
  pkgs,
  lib,
  ...
}: {
  programs = {
    fish.enable = true;
    mosh.enable = true;
    nh = {
      enable = true;
      flake = "/home/user/.config/nixos";
    };
  };
  environment.systemPackages = with pkgs; [
    (lib.hiPrio uutils-coreutils-noprefix)
    helix
    nushell
  ];
}
