{
  config,
  inputs,
  ...
}: let
  inherit (inputs) mysecrets;
  inherit (config.networking) hostName;
in {
  imports = with inputs; [
    nixos-facter-modules.nixosModules.facter
  ];
  facter.reportPath = "${mysecrets}/facter/${hostName}.json";
  systemd.network.wait-online.enable = false;
}
