{
  inputs,
  pkgs,
  ...
}: {
  imports = with inputs; [
    chaotic.nixosModules.default
    ./loader.nix
    ./lanzaboote.nix
  ];
  boot = {
    plymouth.enable = true;
    consoleLogLevel = 0;
    kernelPackages = pkgs.linuxPackages_cachyos;
    initrd = {
      systemd.enable = true;
    };
  };
}
