{
  networking = {
    hosts = import ./hosts.nix;
    networkmanager = {
      ethernet.macAddress = "stable";
      wifi = {
        macAddress = "random";
        scanRandMacAddress = true;
      };
    };
    wireless.iwd = {
      settings = {
        General.AddressRandomization = "network";
        Settings.AlwaysRandomizeAddress = true;
      };
    };
  };
}
